# Contributing

Contributions are welcome! If you want to know where to start,
look at the [issues](https://github.com/EngoEngine/engo/issues) on github.

We are always looking for more documentation and better test coverage.

## Guidelines

Make your changes, and submit a pull request.

### Git Commit

Every commit should have a clear commit message explaining what was
changed.  Please make this informative, including why it was changed.
Also, try to keep the first line of your message under 50 characters.
This makes it easier to read the summary of changes in various tools.

Please don't leave 'WIP' (work in progress) commits in your final pull
request: [squash](http://gitready.com/advanced/2009/02/10/squashing-commits-with-rebase.html)
this so you have a clear story in your development.

### Comments and Documentation

Every PR should have godoc style comments on modified sections of code,
regardless of whether or not it had documentation before.  Clear comments help more people contribute.

If the PR breaks backwards compatibility it should be noted in the README.

### Testing

Tests should be added if at all possible. PRs without tests will be merged, but
a PR with tests is more favourable than one without.

### Questions

As it says in the README, ask questions, we are on gitter:
[![Join the chat at https://gitter.im/EngoEngine/engo](https://badges.gitter.im/EngoEngine/engo.svg)](https://gitter.im/EngoEngine/engo?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
